# WOK
TKWOK
MS

# MS_Enum Class Reference

`#include <MS_Enum.hxx>`

Inheritance diagram for MS_Enum:

[legend]

## Public Member Functions

Standard_EXPORT | MS_Enum (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage, const Handle(TCollection_HAsciiString)&aContainer, const Standard_Boolean aPrivate)
Standard_EXPORT void | Enum (const Handle(TCollection_HAsciiString)&aEnum)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Enums () const
Standard_EXPORT void | Check () const
Standard_EXPORT Handle_TCollection_HAsciiString | Comment () const
Standard_EXPORT void | SetComment (const Handle(TCollection_HAsciiString)&aComment)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myEnums
Handle_TCollection_HAsciiString | myEnumComment

## Constructor & Destructor Documentation

Standard_EXPORT MS_Enum::MS_Enum | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage,
|  | const Handle(TCollection_HAsciiString)& | aContainer,
|  | const Standard_Boolean | aPrivate
| ) |

## Member Function Documentation

Standard_EXPORT void MS_Enum::Check | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString MS_Enum::Comment | ( |  | ) | const

Standard_EXPORT void MS_Enum::Enum | ( | const Handle(TCollection_HAsciiString)& | aEnum | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_Enum::Enums | ( |  | ) | const

Standard_EXPORT const MS_Enum::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_NatType.

Standard_EXPORT void MS_Enum::SetComment | ( | const Handle(TCollection_HAsciiString)& | aComment | ) |

## Field Documentation

Handle_TCollection_HAsciiString MS_Enum::myEnumComment `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_Enum::myEnums `[private]`

The documentation for this class was generated from the following file:

- MS_Enum.hxx